#jinja2: lstrip_blocks: "True"
[Unit]
Description={{ owncast_bot_name }}
After=docker.service
Requires=docker.service
DefaultDependencies=no

[Service]
Type=simple
Environment="HOME={{ docker_systemd_unit_home_path }}"
ExecStartPre=-{{ docker_command_sh }} -c '{{ docker_command_docker }} kill {{ owncast_bot_name }} 2>/dev/null || true'
ExecStartPre=-{{ docker_command_sh }} -c '{{ docker_command_docker }} rm {{ owncast_bot_name }} 2>/dev/null || true'

ExecStart={{ docker_command_docker }} run --rm --name {{ owncast_bot_name }} \
           --network={{ owncast_bot_network }} \
           -p {{ owncast_bot_external_port }}:8080 \
           --volume /etc/localtime:/etc/localtime:ro \
           --volume /etc/timezone:/etc/timezone:ro \
           --mount type=bind,src={{ owncast_bot_container_data_dir_path }},dst=/home/opsdroid/.config/opsdroid \
           --env-file={{ owncast_bot_container_base_path }}/env \
           --log-driver json-file \
           --log-opt max-size=10m \
           {{ owncast_bot_container_docker_image }}

ExecStop=-{{ docker_command_sh }} -c '{{ docker_command_docker }} kill {{ owncast_bot_name }} 2>/dev/null || true'
ExecStop=-{{ docker_command_sh }} -c '{{ docker_command_docker }} rm {{ owncast_bot_name }} 2>/dev/null || true'
Restart=always
RestartSec=30
SyslogIdentifier={{ owncast_bot_name }}

[Install]
WantedBy=multi-user.target
